/* ==========================================================
 * bootstrap-formhelpers-countries.it_IT.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
var BFHCountriesList = {
  'AF': 'Afghanistan',
  'AL': 'Albania',
  'DZ': 'Algeria',
  'AS': 'Samoa Americane',
  'AD': 'Andorra',
  'AO': 'Angola',
  'AI': 'Anguilla',
  'AQ': 'Antartide'  ,
  'AG': 'Antigua e Barbuda' ,
  'AR': 'Argentina' ,
  'AM': 'Armenia' ,
  'AW': 'Aruba' ,
  'AU': 'Australia' ,
  'AT': 'Austria' ,
  'AZ': 'Azerbaijan' ,
  'BH': 'Bahrain' ,
  'BD': 'Bangladesh',
  'BB': 'Barbados'  ,
  'BY': 'Bielorussia',
  'BE': 'Belgio',
  'BZ': 'Belize',
  'BJ': 'Benin',
  'BM': 'Bermuda',
  'BT': 'Bhutan',
  'BO': 'Bolivia',
  'BA': 'Bosnia Erzegovina',
  'BW': 'Botswana',
  'BV': 'Isola Bouvet',
  'BR': 'Brasile',
  'IO': 'Territorio britannico dell\'Oceano Indiano',
  'VG': 'Isole Vergini',
  'BN': 'Brunei',
  'BG': 'Bulgaria',
  'BF': 'Burkina Faso',
  'BI': 'Burundi',
  'CI': 'Costa d\'Avorio',
  'KH': 'Cambogia',
  'CM': 'Camerun',
  'CA': 'Canada',
  'CV': 'Capo Verde',
  'KY': 'Isole Cayman',
  'CF': 'Centrafica',
  'TD': 'Ciad',
  'CL': 'Cile',
  'CN': 'Cina',
  'CX': 'Isola Christmas',
  'CC': 'Isole Cocos',
  'CO': 'Colombia',
  'KM': 'Comore',
  'CG': 'Congo',
  'CK': 'Isole Cook',
  'CR': 'Costa Rica',
  'HR': 'Croazia',
  'CU': 'Cuba',
  'CY': 'Cipro',
  'CZ': 'Repubblica Ceca',
  'CD': 'Congo',
  'DK': 'Danimarca',
  'DJ': 'Gibuti',
  'DM': 'Dominica',
  'DO': 'Repubblica Dominicana',
  'TP': 'Timor Oriental',
  'EC': 'Ecuador',
  'EG': 'Egitto',
  'SV': 'El Salvador',
  'GQ': 'Guinea Equatoriale',
  'ER': 'Eritrea',
  'EE': 'Estonia',
  'ET': 'Ethiopia',
  'FO': 'Isole Faroe',
  'FK': 'Isole Falkland',
  'FJ': 'Isole Fiji',
  'FI': 'Finlandia',
  'MK': 'Macedonia',
  'FR': 'Francia',
  'FX': 'Francia, Metropolitan',
  'GF': 'Guyana Francese',
  'PF': 'Polinesia Francese',
  'TF': 'French Southern Territories',
  'GA': 'Gabon',
  'GE': 'Georgia',
  'DE': 'Germania',
  'GH': 'Ghana',
  'GI': 'Gibilterra',
  'GR': 'Grecia',
  'GL': 'Groenlandia',
  'GD': 'Grenada',
  'GP': 'Guadeloupa',
  'GU': 'Guam',
  'GT': 'Guatemala',
  'GN': 'Guinea',
  'GW': 'Guinea Bissau',
  'GY': 'Guyana',
  'HT': 'Haiti',
  'HM': 'Isole Heard e McDonald',
  'HN': 'Honduras',
  'HK': 'Hong Kong',
  'HU': 'Ungheria',
  'IS': 'Islanda',
  'IN': 'India',
  'ID': 'Indonesia',
  'IR': 'Iran',
  'IQ': 'Iraq',
  'IE': 'Irlanda',
  'IL': 'Israele',
  'IT': 'Italia',
  'JM': 'Giamaica',
  'JP': 'Giappone',
  'JO': 'Giordania',
  'KZ': 'Kazakhstan',
  'KE': 'Kenya',
  'KI': 'Kiribati',
  'KW': 'Kuwait',
  'KG': 'Kyrgyzstan',
  'LA': 'Laos',
  'LV': 'Lettonia',
  'LB': 'Libano',
  'LS': 'Lesotho',
  'LR': 'Liberia',
  'LY': 'Libia',
  'LI': 'Liechtenstein',
  'LT': 'Lituania',
  'LU': 'Lussemburgo',
  'MO': 'Macao',
  'MG': 'Madagascar',
  'MW': 'Malawi',
  'MY': 'Malesia',
  'MV': 'Maldives',
  'ML': 'Mali',
  'MT': 'Malta',
  'MH': 'Isole Marshall',
  'MQ': 'Martinica',
  'MR': 'Mauritania',
  'MU': 'Mauritius',
  'YT': 'Mayotte',
  'MX': 'Messico',
  'FM': 'Micronesia',
  'MD': 'Moldova',
  'MC': 'Monaco',
  'MN': 'Mongolia',
  'ME': 'Montenegro',
  'MS': 'Montserrat',
  'MA': 'Morocco',
  'MZ': 'Mozambico',
  'MM': 'Myanmar',
  'NA': 'Namibia',
  'NR': 'Nauru',
  'NP': 'Nepal',
  'NL': 'Paesi Bassi',
  'AN': 'Antille Olandesi',
  'NC': 'Nuova Caledonia',
  'NZ': 'Nuova Zelanda',
  'NI': 'Nicaragua',
  'NE': 'Niger',
  'NG': 'Nigeria',
  'NU': 'Niue',
  'NF': 'Isola Norfolk',
  'KP': 'Korea del Nord',
  'MP': 'Isole Marianne Settentrionali',
  'NO': 'Norvegia',
  'OM': 'Oman',
  'PK': 'Pakistan',
  'PW': 'Palau',
  'PS': 'Palestina',
  'PA': 'Panama',
  'PG': 'Papua Nuova Guinea',
  'PY': 'Paraguay',
  'PE': 'Peru',
  'PH': 'Filippine',
  'PN': 'Isole Pitcairn',
  'PL': 'Polonia',
  'PT': 'Portogallo',
  'PR': 'Puerto Rico',
  'QA': 'Qatar',
  'RE': 'Reunion',
  'RO': 'Romania',
  'RU': 'Russia',
  'RW': 'Ruanda',
  'ST': 'Sao Tomé e Principe',
  'SH': 'Sant\'Elena',
  'PM': 'Saint Pierre e Miquelon',
  'KN': 'Sst. Kitts and Nevis',
  'LC': 'St. Lucia',
  'VC': 'St. Vincent',
  'WS': 'Samoa Occidentali',
  'SM': 'San Marino',
  'SA': 'Arabia Saudita',
  'SN': 'Senegal',
  'RS': 'Serbia',
  'SC': 'Seychelles',
  'SL': 'Sierra Leone',
  'SG': 'Singapore',
  'SK': 'Slovacchia',
  'SI': 'Slovenia',
  'SB': 'Salomone',
  'SO': 'Somalia',
  'ZA': 'Sudafrica',
  'GS': 'Georgia del Sud e Isole Sandwich meridionali',
  'KR': 'Korea del Sud',
  'ES': 'Spagna',
  'LK': 'Sri Lanka',
  'SD': 'Sudan',
  'SR': 'Suriname',
  'SJ': 'Svalbard e Jan Mayen',
  'SZ': 'Swaziland',
  'SE': 'Svezia',
  'CH': 'Svizzera',
  'SY': 'Siria',
  'TW': 'Taiwan',
  'TJ': 'Tajikistan',
  'TZ': 'Tanzania',
  'TH': 'Thailandia',
  'BS': 'Bahamas',
  'GM': 'Gambia',
  'TG': 'Togo',
  'TK': 'Tokelau',
  'TO': 'Tonga',
  'TT': 'Trinidad e Tobago',
  'TN': 'Tunisia',
  'TR': 'Turchia',
  'TM': 'Turkmenistan',
  'TC': 'Isole Turks e Caicos',
  'TV': 'Tuvalu',
  'VI': 'Isole Vergini Statunitensi',
  'UG': 'Uganda',
  'UA': 'Ucraina',
  'AE': 'Emirati Arabi Uniti',
  'GB': 'Regno Unito',
  'US': 'Stati Uniti',
  'UM': 'United States Minor Outlying Islands',
  'UY': 'Uruguay',
  'UZ': 'Uzbekistan',
  'VU': 'Vanuatu',
  'VA': 'Città del Vaticano',
  'VE': 'Venezuela',
  'VN': 'Vietnam',
  'WF': 'Wallis e Futuna',
  'EH': 'Sahara Occidentale',
  'YE': 'Yemen',
  'ZM': 'Zambia',
  'ZW': 'Zimbabwe'
};
