## Character Style

### Working with character styles

* To apply a character style to existing text, select a range of text and then
choose an option from the menu.

* To apply a character style to text you are about to type, choose an option
from the menu and begin typing. The style will continue to be applied until
you choose another option or move the cursor to a different point in the
document.

* Multiple character styles can be applied to selected text.

### About character styles

* Character styles have a different purpose than paragraph formats. They are
used at a lower level to highlight words or phrases within blocks of text.

* Character styles, when used properly, help screen reader users better
understand the types and meanings of lower-level stylistic changes within
blocks of text.

### Character styles vs. headings, lists and paragraph formats

* Thinking in terms of headings, lists and paragraph formats first, and then
using character styles to emphasize key words or phrases within text blocks,
results in documents that are easier to read and understand.

* When headings, lists and paragraph formats are considered as primary, and
character styles secondary, many visual styling decisions can be avoided, as
they are already made by default.

* When character styles are used to change the styling of blocks of text
without regard to whether the block is a heading, list item or other type of
paragraph format, it makes the document more difficult to read and understand
within the context of the website.

* Using headings, lists, paragraph formats and character styles properly will
make it easier for you to maintain stylistic consistency.
